Loading...
Searching...
No Matches
caf::stateful_actor< State, Base > Class Template Reference

An event-based actor with managed state. More...

`#include <stateful_actor.hpp>`

## Public Member Functions

template<class... Ts>
| stateful_actor (actor_config &cfg, Ts &&... xs)
void | on_exit () final
| Destroys the state of this actor (no further overriding allowed).
const char * | name () const final
error | save_state (serializer &sink, unsigned int version) override
error | load_state (deserializer &source, unsigned int version) override

## Public Attributes

State & | state
| A reference to the actor's state.

## Detailed Description

template<class State, class Base>
class caf::stateful_actor< State, Base >

An event-based actor with managed state.

The state is constructed before make_behavior will get called and destroyed after the actor called quit. This state management brakes cycles and allows actors to automatically release ressources as soon as possible.

The documentation for this class was generated from the following files:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/fwd.hpp
- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stateful_actor.hpp